Page MenuHomePhabricator

Remove references to "Range Contributions" and "Autoblock" within xTools code
Closed, ResolvedPublic1 Estimated Story Points

Description

The new xTools will not have the "Range Contributions" and "Autoblock" tools. However, there are still references within the codebase. These references should be removed.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 19 2017, 7:20 PM
MusikAnimal edited projects, added Community-Tech-Sprint; removed Community-Tech.
MusikAnimal moved this task from Ready to In Development on the Community-Tech-Sprint board.

Done with https://github.com/x-tools/xtools-rebirth/commit/2c51e601bb371f00e1bb6a9b0cd44f0a6f58e749

This commit also reformats all the i18n messages to be separated by newlines so that they are human-readable.

The Node script I used to remove the obsolete messages, and reformat the files:

const dir = './i18n/';
const fs = require('fs');

fs.readdir(dir, (err, files) => {
  files.forEach(file => {
    let json = require(`${dir}${file}`);
    delete json.tool_autoblock;
    delete json.tool_autoblock_desc;
    delete json.tool_rangecontribs;
    delete json.tool_rangecontribs_desc;
    delete json.rc_usage_0;
    delete json.rc_usage_1;
    delete json.rc_usage_2;
    delete json.rc_usage_3;
    delete json.no_valid_cidr_range;
    delete json.ip_range;
    delete json.ip_number;
    delete json.ip_start;
    delete json.ip_end;
    delete json.ip_found;
    fs.writeFile(`${dir}${file}`, JSON.stringify(json, null, 2) + "\n", {}, err => {
      console.log(err);
    });
  });
});
kaldari closed this task as Resolved.Apr 21 2017, 8:43 PM
kaldari moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.
MusikAnimal moved this task from Inbox to Complete on the XTools board.Jul 23 2017, 7:46 PM